aboutsummaryrefslogtreecommitdiff
path: root/tdump/scripts/license
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2023-10-29 14:38:33 +0200
committerKimplul <kimi.h.kuparinen@gmail.com>2023-10-29 14:38:33 +0200
commit5d29afb530ffdaab4b5032b7422da988b31c0867 (patch)
tree0135976b951fa4c860a043f07e6d555e40c60d1f /tdump/scripts/license
parent80d78c5589d42f81b04e671b28c103a2112458d1 (diff)
downloadtri-5d29afb530ffdaab4b5032b7422da988b31c0867.tar.gz
tri-5d29afb530ffdaab4b5032b7422da988b31c0867.zip
initial working compiled program on simulator
Diffstat (limited to 'tdump/scripts/license')
-rwxr-xr-xtdump/scripts/license16
1 files changed, 16 insertions, 0 deletions
diff --git a/tdump/scripts/license b/tdump/scripts/license
new file mode 100755
index 0000000..53bd5da
--- /dev/null
+++ b/tdump/scripts/license
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+SPDX="/* SPDX-License-Identifier: copyleft-next-0.3.1 */"
+
+for f in "$@"
+do
+ if [ "$(head -1 "$f")" != "${SPDX}" ]
+ then
+ sed -i "1i${SPDX}\n" "$f"
+ fi
+
+ if ! grep 'Copyright' "$f" > /dev/null
+ then
+ echo "Missing copyright info in $f"
+ fi
+done